Bug 124087 - bad order of starting apps, no logout-prompt, auto save session works improper
bad order of starting apps, no logout-prompt, auto save session works improper
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-23 17:40 EDT by bednar
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:36:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bednar 2004-05-23 17:40:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I use Fedora Core 2 (before FC1 was used). As in Gnome 2.4 the
session-properties are broken. I turned on (in gconf-editor)
logout-prompt and auto-save-session. The logout promt does not show at
all. The autosave works strange. Not all apps are saved, but after
login to Gnome I always get session-properties window and home dir
(nautilus) opened. I close both and close all windows, log out and
after log in I got the to windows opened. It is frustrating. The
function was working by one day from the distro upgrade.

QT apps (Kadu www.kadu.net or PSI) start before
gnome-panel and panel notification area are
started. The efect is that tray iconf of QT apps
are placed somewhere in the middle of desktop
instead of docking in notification area. Setting
start order to 5 for metacity, 10 for gnome panel
and 100 for kadu do not help.
Very confusing.

Version-Release number of selected component (if applicable):
gnome-session-2.6.0-1, gnome-panel-2.6.0-9, metacity-2.8.1-2

How reproducible:
Always

Steps to Reproduce:
1. install and start kadu (www.kadu.net) 
2. run gnome-session-properties
3. turn on logout-prompt and auto save session
4. close gnome-session-properties
5. log out from gnome
6. log in to gnome
7. log out 
    

Actual Results:  1. kadu tray-icon in the middle of desktop (bad order
of apps start result)
2. opened gnome-session window (broken auto save session result)
3. logout-prompt does not show 

Expected Results:  1. kadu tray-icon in notification area
2. closed gnome-session-properties
3. logout-prompt window shown before log out 

Additional info:
Comment 1 Ray Strode [halfline] 2004-11-08 09:43:08 EST
What happens if you close the unwanted windows and run
gnome-session-save, logout and log back in?
Comment 2 bednar 2004-11-23 17:24:51 EST
Whod do You mean: unwanted windows?
When I svae session without running Kadu (KDE app) then it does not
start after logout/login gnome and when then I run it manually the
tray icon of Kadu is placed in notification area as it should.

Comment 3 Matthew Miller 2005-04-26 11:19:37 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Ray Strode [halfline] 2005-05-11 17:36:51 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.